Skip to main content
GET
https://{tenantDomain}/api/v2
/
branding
/
themes
/
{themeId}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Branding.Themes.GetAsync(
            "themeId"
        );
    }

}
{
  "borders": {
    "button_border_radius": 5.5,
    "button_border_weight": 5,
    "input_border_radius": 5,
    "input_border_weight": 1.5,
    "show_widget_shadow": true,
    "widget_border_weight": 5,
    "widget_corner_radius": 25
  },
  "colors": {
    "body_text": "<string>",
    "error": "<string>",
    "header": "<string>",
    "icons": "<string>",
    "input_background": "<string>",
    "input_border": "<string>",
    "input_filled_text": "<string>",
    "input_labels_placeholders": "<string>",
    "links_focused_components": "<string>",
    "primary_button": "<string>",
    "primary_button_label": "<string>",
    "secondary_button_border": "<string>",
    "secondary_button_label": "<string>",
    "success": "<string>",
    "widget_background": "<string>",
    "widget_border": "<string>",
    "base_focus_color": "<string>",
    "base_hover_color": "<string>",
    "read_only_background": "<string>"
  },
  "displayName": "<string>",
  "fonts": {
    "body_text": {
      "bold": true,
      "size": 75
    },
    "buttons_text": {
      "bold": true,
      "size": 75
    },
    "font_url": "<string>",
    "input_labels": {
      "bold": true,
      "size": 75
    },
    "links": {
      "bold": true,
      "size": 75
    },
    "reference_text_size": 18,
    "subtitle": {
      "bold": true,
      "size": 75
    },
    "title": {
      "bold": true,
      "size": 112.5
    }
  },
  "page_background": {
    "background_color": "<string>",
    "background_image_url": "<string>"
  },
  "themeId": "<string>",
  "widget": {
    "logo_height": 50.5,
    "logo_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

themeId
string
required

The ID of the theme

Response

Branding theme successfully retrieved.

borders
object
required
colors
object
required
displayName
string
required

Display Name

Maximum string length: 2048
Pattern: ^[^<>]*$
fonts
object
required
page_background
object
required
themeId
string
required

Theme Id

Maximum string length: 32
Pattern: ^[a-zA-Z0-9]{32}$
widget
object
required